import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class ListTesti extends Applet implements ActionListener,ItemListener
{

 private List renkListesi;

 private String renkIsmi[]={"Siyah","Mavi","Cam Gobegi","Koyu Gri","Gri",

 "Yesil","Acik gri","Mor","Portakal","Pembe","Kirmizi","Beyaz","Sari"};

 private Color C[]={Color.black,Color.blue,Color.cyan,Color.darkGray,

 Color.gray,Color.green,Color.lightGray,Color.magenta,Color.orange,

 Color.pink,Color.red,Color.white,Color.yellow};

 public void init()

 {

 //Ekranda 5 isim grlebilecel bir liste ac

 //ayn ismi birden fazla tekrarlama

 renkListesi=new List(5,false);

 renkListesi.addActionListener(this);

 renkListesi.addItemListener(this);

 //listeye ekle

 for(int i=0;i<renkIsmi.length;i++)

 {

 renkListesi.add(renkIsmi[i]);

 }

 add(renkListesi);

 }

 public void actionPerformed(ActionEvent e)

 {

 setBackground(C[renkListesi.getSelectedIndex()]);

 repaint();

 }

 public void itemStateChanged(ItemEvent e)

 {

 showStatus(renkListesi.getSelectedItem()+"; indeks : "+

 renkListesi.getSelectedIndex());

 }

 }